/**
 * XActClassDocumentEntryOrganizer2.java
 *
 * File generated from the medication2::XActClassDocumentEntryOrganizer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActClassDocumentEntryOrganizer2.
 *
 * 
 */

@XmlType(name = "XActClassDocumentEntryOrganizer")
@XmlEnum
@XmlRootElement(name = "XActClassDocumentEntryOrganizer2")
public enum XActClassDocumentEntryOrganizer2 {
	@XmlEnumValue("BATTERY")
	BATTERY("BATTERY"),
	@XmlEnumValue("CLUSTER")
	CLUSTER("CLUSTER");
	
	private final String value;

    XActClassDocumentEntryOrganizer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActClassDocumentEntryOrganizer2 fromValue(String v) {
        for (XActClassDocumentEntryOrganizer2 c: XActClassDocumentEntryOrganizer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
